Object Methods providing "Fast-COM"support


The Methods listed below are already implemented in Fast-COM mode (and are therefore available on Linux / Mac platforms as well);
all Methods not listed are managed by normal Windows COM (and are therefore not yet available on Linux / Mac platforms);
this is ongoing work, so more Methods will become available and listed here.

Method functions can be called in usual way - as dedicated functions (vla-<method> ...) or using generic (vlax-invoke-method '<method> ...), the "Fast-COM" mode covers both.



Activate
Add
AddCustomInfo
Add3dFace
Add3dMesh
Add3dPoly
AddArc
AddAttribute
AddBox
AddCircle
AddCone
AddCustomObject
AddCylinder
AddDim3PointAngular
AddDimAligned
AddDimAngular
AddDimArc
AddDimDiametric
AddDimRadial
AddDimRadialLarge
AddDimRotated
AddDimOrdinate
AddObject
AddXrecord

AddEllipse
AddEllipticalCylinder
AddEllipticalCone
AddExtrudedSolid
AddExtrudedSolidAlongPath
AddHatch
AddItems
AddLeader
AddLightWeightPolyline
AddLine
AddMInsertBlock
AddMLeader
AddMline
AddMText
AddPoint
AddPolyfaceMesh
AddPolyline
AddPViewport
AddRaster
AddRay
AddRegion
AddRevolvedSolid

AddSection
AddShape
AddSolid
AddSphere
AddSpline
AddTable
AddText
AddTolerance
AddTorus
AddTrace
AddWedge
AddXLine

AbortTransaction
AppendInnerLoop
AppendItems
AppendOuterLoop

Boolean


Close
Copy
CopyFrom
CopyObjects
CopyProfile

Delete
DeleteProfile
Display
DxfIn
DxfOut

EndTransaction
EndUndoMark
Erase
Explode

ExportProfile



GetAllProfileNames
GetAttributes
GetBoundingBox
GetBulge
GetCanonicalMediaNames
GetCellAlignment
GetCellTextHeight
GetCellTextStyle
GetColumnWidth
GetConstantAttributes
GetCustomByIndex
GetCustomByKey
GetCustomScale
GetDynamicBlockProperties
GetExtensionDictionary
GetInterfaceObject
GetLoopAt
GetMinimumColumnWidth
GetMinimumRowHeight
GetName
GetObject
GetObjectIdString
GetPaperMargins
GetPaperSize
GetPlotDeviceNames
GetPlotStyleTableNames
GetProjectFilePath
GetRowHeight
GetText
GetTextHeight
GetVariable
GetWeight
GetWidth
GetWindowToPlot
GetXData

HandleToObject
Highlight

ImportProfile
InsertBlock
InsertLoopAt
IntersectWith
InsertMenuInMenuBar
Item


ListArx
LoadArx
Load


Mirror
Mirror3d
Move

NumCustomInfo

ObjectIdToObject
ObjectIdToObject32
ObjectId32ToObjectIdString
Open

PolarPoint
PostCommand

Quit



RefreshPlotDeviceInfo
Regen
Remove
RemoveCustomByIndex
RemoveCustomByKey
Rename
Replace
Rotate
Rotate3d
RemoveItems
RenameProfile
ResetProfile

Save
SaveAs
ScaleEntity
SectionSolid
SendCommand
SendModelessOperationStart
SendModelessOperationEnded
SetBitmaps
SetBulge
SetCellAlignment
SetCellTextHeight
SetCellTextStyle
SetColumnWidth
SetCustomByIndex
SetCustomByKey
SetPattern
SetRowHeight

SetCustomScale
SetText
SetTextHeight
SetVariable
SetWeight
SetWidth
SetProjectFilePath
SetWindowToPlot
SetXData
SliceSolid
StartUndoMark
StartTransaction

TransformBy



UnloadArx
Unload
Update



VisualStyle

ZoomAll
ZoomCenter
ZoomExtents
ZoomPickWindow
ZoomPrevious
ZoomScaled
ZoomWindow











©  Bricsys NV. All rights reserved.